BEGIN {
  print "  0 255 255 255"
  print "  1   0   0   0"
  hh = 60
  ss = 70
  vv = 100
  for (i = 2; i < 26; i++) {
#    print hh, ss, vv
    H = hh ;
    S = ss * 2.55 ;
    V = vv * 2.55 ;
    if (S == 0) {
      R = V ;
      G = V ;
      B = V ;
      }
    else {
      t1 = V ;
      t2 = (255-S) * V / 255 ;
      t3 = H % 60 ;
      t3 = (t1 - t2) * t3 / 60 ;
      if (H < 60)    { R=t1;   B=t2;   G=t2+t3; }
      else if (H<120){ G=t1;   B=t2;   R=t1-t3; }
      else if (H<180){ G=t1;   R=t2;   B=t2+t3; }
      else if (H<240){ B=t1;   R=t2;   G=t1-t3; }
      else if (H<300){ B=t1;   G=t2;   R=t2+t3; }
      else if (H<360){ R=t1;   G=t2;   B=t1-t3; }
      else           { R=0;    G=0;    B=0;     }
      }
    iR = int(R)
    if (iR <   0) iR =   0
    if (iR > 255) iR = 255
    iG = int(G)
    if (iG <   0) iG =   0
    if (iG > 255) iG = 255
    iB = int(B)
    if (iB <   0) iB =   0
    if (iB > 255) iB = 255
    printf "%3d%4d%4d%4d\n", i, iR, iG, iB
    hh = hh + 12
    if (hh <   0) hh = hh + 360
    if (hh > 359) hh = hh - 360
    vv = vv - 2.5
    ss = ss + 1.0
    }
  }
