#
# Delone Smoothing Sample
#

delone 0 1 1000 < abukuma.pnt > abukuma.dlo

baydelo < baydelo1.in

( echo A 504000.0 131700.0 508050.0 136500.0 ; \
  echo Sc 0 ; \
  deloconC -f abukuma.out -pn 1 -s 46 -e 152 -i 4 \
    -lf ../../lib/usgs.mod -dw 1 -dc 9 -cc 0 \
    -bx 508100.00 -by 131800.00 -bw 0.5 -head -window ; \
  latlon 140 36.35 141.075 37.55 450 300 \
) | utm -54 500000 grs | jkx11

#
# Bouguer Density Estimation Sample
#

delone 0 2 1000 < abukuma.coe > abukuma.dlc

baydelo < baydelo2.in

( echo A 504000.0 131700.0 508050.0 136500.0 ; \
  echo Sc 0 ; \
  deloconC -f abukuma.rho -pn 1 -s 46 -e 152 -i 4 \
    -lf ../../lib/usgs.mod -dw 1 -dc -150150150 -cc -050050050 \
    -bx 508100.00 -by 131800.00 -bw 0.5 -head -window ; \
  latlon 140 36.35 141.075 37.55 450 300 \
) | utm -54 500000 grs | jkps > abukuma.eps
