c -------------------------------------------------------------------- c
c -------------------------------------------------------------------- c
      subroutine grdred(ifile, cmnt, nx, ny, xstr, ystr,
     &                          dx, dy, und, zmin, zmax, z)
c
      include    'jkm_parm.f'
c
      integer    ifile
c
      integer    ix, iy
c -------------------------------------------------------------------- c
      read(ifile, '(a80)', end=1) cmnt
      read(ifile, *) nx, ny, xstr, ystr, dx, dy, und, zmin, zmax
      read(ifile, *) ((z(ix, iy), iy=1, ny), ix=1, nx)
c     read(ifile, '(10f8.0)') ((z(ix, iy), iy=1, ny), ix=1, nx)
      return
1     cmnt = 'EOF'
c -------------------------------------------------------------------- c
      return
      end
c -------------------------------------------------------------------- c
c -------------------------------------------------------------------- c
      subroutine grdwtr(ifile, cmnt, nx, ny, xstr, ystr,
     &                          dx, dy, und, zmin, zmax, z)
c
      include    'jkm_parm.f'
c
      integer    ifile, ix, iy
      real       undef, zw, zw1, zw2
      character  form*8
c -------------------------------------------------------------------- c
      zw1 = zmin
      if ( zmin .lt. 0.0 .and. zmin .gt. -10.0 ) zw1 = 99.0
      if ( zw1 .lt. 0.0 ) zw1 = -zw1 * 10.0
      zw2 = zmax
      if ( zmax .lt. 0.0 .and. zmax .gt. -10.0 ) zw2 = 99.0
      if ( zw2 .lt. 0.0 ) zw2 = -zw2 * 10.0
      zw = amax1(zw1, zw2)
c
      if(zw .lt. 10.0) then
        form = '(10f8.5)'
        undef = 9.99999
      else if(zw .lt. 100.0) then
        form = '(10f8.4)'
        undef = 99.9999
      else if(zw .lt. 1000.0) then
        form = '(10f8.3)'
        undef = 999.999
      else if(zw .lt. 10000.0) then
        form = '(10f8.2)'
        undef = 9999.99
      else if(zw .lt. 100000.0) then
        form = '(10f8.1)'
        undef = 99999.9
      else if(zw .lt. 1000000.0) then
        form = '(10f8.0)'
        undef = 999999.
      else
        print '('' data value over 1000000.0 stop '')'
        stop
        end if
c
      do 10 ix = 1 , nx
        do 10 iy = 1 , ny
          if(z(ix, iy) .eq. und) z(ix, iy) = undef
10      continue
c -------------------------------------------------------------------- c
      write(ifile, '(a80)') cmnt
      write(ifile, '(2i5, 2f12.2, 2f11.3, '//form//')')
     &         nx, ny, xstr, ystr, dx, dy, undef, zmin, zmax
      write(ifile, form) ((z(i, j), j=1, ny), i=1, nx)
c -------------------------------------------------------------------- c
      return
      end
